<?php
namespace App\Repository\Painel;

use App\Http\Models\Banner;
use App\Http\Models\ImgProduto;
use File;

class FotosRepository{
  public function deleteFoto($req){
    //dd($req);
    $id = $req->get('id');
    $tipo = $req->get('tipo');
    if ($tipo === 'p'){//Fotos Produtos
      try{
        $caminho  =  $req->get('caminho');
        $seq      =  $req->get('seq');
        $codProd  =  $req->get('codprod');
        File::delete($caminho);
        ImgProduto::where('codigo', $id)->where( 'seq',$seq)->delete();
      } catch (Throwable $e) {
        return redirect()->back()->withErrors(['Não foi possivel excluir esta imagem',
           'verifique se a imagem já não foi excluida']);
      }
     return redirect()->route('admin.manProdutos',$codProd);

   }else if ($tipo=== 'b'){//Fotos Banners
     $dados = banner::where('tipo', $tipo)->find($id);
     if($dados){
       $dados = banner::find($id);
       $del = File::delete($dados->caminho);
       Banner::find($id)->delete();
     }else{
       return redirect()->back()->withErrors(['Não foi possivel excluir esta imagem',
         'verifique se a imagem já não foi excluida']);
     }
     return redirect()->route('admin.config');
   }else if ($tipo=== 'e'){//Fotos Empresa

   }else if ($tipo=== 'l'){//Fotos da Logo

   }



  }


  public function xaddFotoEmpresa($req){
    //$dados = $req->all();
    date_default_timezone_set('America/Sao_Paulo');
    if($req->hasFile('caminho')) {
      $logo = $req->file('caminho');
      $nomeFotoEmpresa = date('Y-m-d');
      $nomeFotoEmpresa = $nomeFotoEmpresa.'-'.date('His');
      $dir = "img/FotoEmpresa";
      $ex = $logo->guessClientExtension();
      $nomeFotoEmpresa = "FotoEmpresa-".$nomeFotoEmpresa.".".$ex;
      $logo-> move($dir,$nomeFotoEmpresa);
      $req->caminho = $dir."/".$nomeFotoEmpresa;
///
      $dados = new Banner;
      $dados->idconfig  = '1';
      $dados->tipo      = 'e';
      $dados->titulo    = $req->titulo;
      $dados->caminho   = $req->caminho;
      $dados->save();
    }
    return redirect()->route('admin.config');
  }




}
